<?php
require_once("xajax/xajax.inc.php");

$objXajax = new xajax();
$objXajax->registerFunction("checkInput");
$objXajax->processRequest();

function checkInput($val) {
	if (isset($val) && (mb_strlen($val, 'UTF-8') >= 3)
		 && (mb_strlen($val, 'UTF-8') <= 15)) {
		$res = "<span style=\"color:green\">Правильно</span>";
	}
	else {
		$res = "<span style=\"color:red\">Ошибка</span>";
	}
	$objResponse = new xajaxResponse();
	$objResponse->assign("message", "innerHTML", $res);
	return $objResponse;
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="ru">
<head>
<title>Проверка введенных значений (XAjax)</title>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<link rel="stylesheet" type="text/css" href="checkinput.css" />
<?php $objXajax->printJavascript("xajax/"); ?>
</head>

<body>
<form action="#" id="testform" method="post">
<p>Введите имя (от 3 до 15 символов)</p>
<p>
<input type="text" name="username" size="15" id="username"
	onKeyUp="xajax_checkInput(document.getElementById('username').value);" />
<span id="message"></span>
</p>
</form>

</body>
</html>
